Jifty::Plugin::ActorMetadata(3)

NAME
Jifty::Plugin::ActorMetadata - add created_by created_on updated_by updated_on columns to a model class

DESCRIPTION
This plugin adds a model mixin which adds "created_by", "created_on", "updated_by" and "updated_on" columns to a model class.

SYNOPSIS
 use strict;
 use warnings;

 package YourApp::Model::Thingy;
 use Jifty::DBI::Schema;

 use YourApp::Record schema {

         ...

 };
 use Jifty::Plugin::ActorMetadata::Mixin::Model::ActorMetadata;
 #Provides created_by, created_on, updated_by and updated_on